package de.avatic.lcc.dto.configuration.countries.view;

import com.fasterxml.jackson.annotation.JsonProperty;
import de.avatic.lcc.dto.generic.PropertyDTO;

import java.util.Collection;

public class CountryDetailDTO {

    private Integer id;

    private String name;

    @JsonProperty("iso_code")
    private String isoCode;

    @JsonProperty("region_code")
    private String regionCode;

    private Collection<PropertyDTO> properties;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIsoCode() {
        return isoCode;
    }

    public void setIsoCode(String isoCode) {
        this.isoCode = isoCode;
    }

    public String getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode;
    }

    public Collection<PropertyDTO> getProperties() {
        return properties;
    }

    public void setProperties(Collection<PropertyDTO> properties) {
        this.properties = properties;
    }
}
